import request from '@/utils/request'

// 查询红包退回记录列表
export function listPointsRedPacketRefund(query) {
  return request({
    url: '/system/pointsRedPacketRefund/list',
    method: 'get',
    params: query
  })
}

// 查询红包退回记录详细
export function getPointsRedPacketRefund(id) {
  return request({
    url: '/system/pointsRedPacketRefund/' + id,
    method: 'get'
  })
}

// 新增红包退回记录
export function addPointsRedPacketRefund(data) {
  return request({
    url: '/system/pointsRedPacketRefund',
    method: 'post',
    data: data
  })
}

// 修改红包退回记录
export function updatePointsRedPacketRefund(data) {
  return request({
    url: '/system/pointsRedPacketRefund',
    method: 'put',
    data: data
  })
}

// 删除红包退回记录
export function delPointsRedPacketRefund(id) {
  return request({
    url: '/system/pointsRedPacketRefund/' + id,
    method: 'delete'
  })
}
